<?php

namespace Drupal\protected_download;

interface PolicyInterface
{

  /**
   * Returns TRUE if Cache-Control should be set to 'private'.
   */
  function isPrivate(): bool;

  /**
   * Given the current time, returns the expiry timestamp.
   */
  function expire(int $time): int;

}
